Register a webhook
Register your webhook to receive transaction notifications.
URI
https://api.tryduplo.com/v1/merchants/businesses/webhookParameters
Header
Body Param
Sample request
curl --location --request POST 'https://api.tryduplo.com/v1/merchants/businesses/webhook' \
--header 'Authorization: Bearer SECRET_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"webhook_url": "https://webhook.site/a1b47ab8-997a-4c2a-83ab-2614e7f",
"verify_hash": "6F4B941015BC08D44FUAMCAJ.948249SJHE",
"business_id": "8edfcc-1e1c-4ad1-9ed8-e870d654",
}'var axios = require('axios');
var data = JSON.stringify({
"webhook_url": "https://webhook.site/a1b47ab8-997a-4c2a-83ab-2614e7f",
"verify_hash": "6F4B941015BC08D44FUAMCAJ.948249SJHE",
"business_id": "8edfcc-1e1c-4ad1-9ed8-e870d654",
});
var config = {
method: 'post',
url: 'https://api.tryduplo.com/v1/merchants/businesses/webhook',
headers: {
'Authorization: Bearer SECRET_KEY',
'Content-Type': 'application/json'
},
data : data
};
axios(config)
.then(function (response) {
console.log(JSON.stringify(response.data));
})
.catch(function (error) {
console.log(error);
});Duplo Response
Last updated